Bug 88754 - Make USE_REINPLACE noop
Make USE_REINPLACE noop
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 22:00 UTC by pav
Modified: 2006-01-21 19:56 UTC (History)
0 users

See Also:


Attachments
file.diff (840 bytes, patch)
2005-11-09 22:00 UTC, pav
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pav freebsd_committer 2005-11-09 22:00:18 UTC
In last batch of bsd.port.mk updates, old REINPLACE_CMD handling was removed.
Now the whole code consists of setting two make variables.

Because it no longer includes any external dependencies, I do propose to have
REINPLACE_CMD defined all the time, and that we remove USE_REINPLACE.

After this is committed, we can start removing USE_REINPLACE from individual
ports, slowly, over time.
Comment 1 pav freebsd_committer 2005-11-09 22:04:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Tasty sausages for portmgr (clement)
Comment 2 Mark Linimon freebsd_committer 2005-12-19 01:32:51 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer 2006-01-21 19:56:24 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.